package com.jjt.rz.service.impl;

import java.util.List;
import org.springframework.stereotype.Service;
import com.jjt.rz.mapper.TwinDeviceRzMapper;
import com.jjt.rz.domain.TwinDeviceRz;
import com.jjt.rz.service.ITwinDeviceRzService;
import javax.annotation.Resource;

/**
 * 染整线设备管理Service业务层处理
 *
 * @author wukai
 * @date 2025-05-21
 */
@Service
public class TwinDeviceRzServiceImpl implements ITwinDeviceRzService {
    @Resource
    private TwinDeviceRzMapper twinDeviceRzMapper;

    /**
     * 查询染整线设备管理
     *
     * @param deviceId 染整线设备管理主键
     * @return 染整线设备管理
     */
    @Override
    public TwinDeviceRz selectTwinDeviceRzByDeviceId(Long deviceId) {
        return twinDeviceRzMapper.selectTwinDeviceRzByDeviceId(deviceId);
    }

    /**
     * 查询染整线设备管理列表
     *
     * @param twinDeviceRz 染整线设备管理
     * @return 染整线设备管理
     */
    @Override
    public List<TwinDeviceRz> selectTwinDeviceRzList(TwinDeviceRz twinDeviceRz) {
        return twinDeviceRzMapper.selectTwinDeviceRzList(twinDeviceRz);
    }

    /**
     * 新增染整线设备管理
     *
     * @param twinDeviceRz 染整线设备管理
     * @return 结果
     */
    @Override
    public int insertTwinDeviceRz(TwinDeviceRz twinDeviceRz) {
            return twinDeviceRzMapper.insertTwinDeviceRz(twinDeviceRz);
    }

    /**
     * 修改染整线设备管理
     *
     * @param twinDeviceRz 染整线设备管理
     * @return 结果
     */
    @Override
    public int updateTwinDeviceRz(TwinDeviceRz twinDeviceRz) {
        return twinDeviceRzMapper.updateTwinDeviceRz(twinDeviceRz);
    }

    /**
     * 批量删除染整线设备管理
     *
     * @param deviceIds 需要删除的染整线设备管理主键
     * @return 结果
     */
    @Override
    public int deleteTwinDeviceRzByDeviceIds(Long[] deviceIds) {
        return twinDeviceRzMapper.deleteTwinDeviceRzByDeviceIds(deviceIds);
    }

    /**
     * 删除染整线设备管理信息
     *
     * @param deviceId 染整线设备管理主键
     * @return 结果
     */
    @Override
    public int deleteTwinDeviceRzByDeviceId(Long deviceId) {
        return twinDeviceRzMapper.deleteTwinDeviceRzByDeviceId(deviceId);
    }
}
